complexType "Fra"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 12 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | primaryAssetClass?, secondaryAssetClass*, productType*, productId*, adjustedEffectiveDate, adjustedTerminationDate, dayCountFraction, notional, fixedRate, floatingRateIndex, indexTenor+, fraDiscounting?
</...>

Content Model Elements (12):

  adjustedEffectiveDate, adjustedTerminationDate, dayCountFraction (in fra), fixedRate (in fra), floatingRateIndex (in fra), fraDiscounting, | indexTenor (in fra), notional (in fra), primaryAssetClass, productId, productType, secondaryAssetClass

All Direct / Indirect Based Elements (1):

  fra

Known Usage Locations

- As direct type of elements (1):
  fra

Annotation
A type defining a Forward Rate Agreement (FRA) product.
Type Definition Detail

Type Derivation Tree Product (extension) Fra

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="Fra"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element name="adjustedEffectiveDate" type="RequiredIdentifierDate"/> <xsd:element name="adjustedTerminationDate" type="xsd:date"/> <!--View Generation: SKIPPED paymentDate - Documentation--> <!--View Generation: SKIPPED fixingDateOffset - Documentation--> <xsd:element name="dayCountFraction" type="DayCountFraction"/> <!--View Generation: SKIPPED calculationPeriodNumberOfDays - Documentation--> <xsd:element name="notional" type="Money"/> <xsd:element name="fixedRate" type="xsd:decimal"/> <xsd:element name="floatingRateIndex" type="FloatingRateIndex"/> <xsd:element maxOccurs="unbounded" name="indexTenor" type="Period"/> <xsd:element minOccurs="0" name="fraDiscounting" type="FraDiscountingEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/12)
adjustedEffectiveDate

  Type: | RequiredIdentifierDate, simple content

  The start date of the calculation period. This date should already be adjusted for any applicable business day convention. This is also the date when the observed rate is applied, the reset date.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="adjustedEffectiveDate" type="RequiredIdentifierDate"/>

adjustedTerminationDate

  Type: | xsd:date, predefined, simple content

  The end date of the calculation period. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="adjustedTerminationDate" type="xsd:date"/>

dayCountFraction

  Type: | DayCountFraction, simple content

  The day count fraction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="dayCountFraction" type="DayCountFraction"/>

fixedRate

  Type: | xsd:decimal, predefined, simple content

  The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixedRate" type="xsd:decimal"/>

floatingRateIndex

  Type: | FloatingRateIndex, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="floatingRateIndex" type="FloatingRateIndex"/>

fraDiscounting

  Type: | FraDiscountingEnum, simple content

  Specifies whether discounting applies and, if so, what type.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "ISDA" | - | "FRA Discounting" per the ISDA Definitions will apply. See: http://www.FpML.org
  "AFMA" | - | FRA discounting per the Australian Financial Markets Association (AFMA) OTC Financial Product Conventions will apply. See: http://www.FpML.org
  "NONE" | - | No discounting will apply. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fraDiscounting" type="FraDiscountingEnum"/>

indexTenor

  Type: | Period, complex content

  The ISDA Designated Maturity, i.e. the tenor of the floating rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="indexTenor" type="Period"/>

notional

  Type: | Money, complex content

  The notional amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="notional" type="Money"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.